Interface InternetAccessAccounts

All Known Implementing Classes:
InternetAccessAccountsImpl

public interface InternetAccessAccounts
Client interface for the Equinix Internet Access (EIA) v1 account lookups - the billing accounts available at an IBX (GET /internetAccess/v1/accounts), a single account by number (GET /internetAccess/v1/accounts/{accountNumber}) and an account's agreements (GET /internetAccess/v1/accounts/{accountNumber}/agreements).
  • Method Details

    • list

      PaginatedList<AccountDetails> list(String operationalUnitsIbx)
      Returns the accounts available at the given IBX.
      Parameters:
      operationalUnitsIbx - the IBX to look up accounts for
      Returns:
      a paginated list of matching accounts
    • list

      PaginatedList<AccountDetails> list(String operationalUnitsIbx, String projectId)
      Returns the accounts available at the given IBX, narrowed to a project.
      Parameters:
      operationalUnitsIbx - the IBX to look up accounts for
      projectId - the project identifier to narrow accounts to, or null for no project constraint
      Returns:
      a paginated list of matching accounts
    • getByNumber

      AccountDetails getByNumber(String accountNumber)
      Returns the account with the given account number.
      Parameters:
      accountNumber - the account number
      Returns:
      the matching account
    • agreements

      PaginatedList<AccountAgreement> agreements(String accountNumber, String ibx)
      Returns the agreements associated with the given account at an IBX.
      Parameters:
      accountNumber - the account number
      ibx - the IBX to look up agreements for
      Returns:
      a paginated list of matching agreements